<?php
use Illuminate\Support\Facades\Route;
use Liuhelong\LaravelAdmin\Wechat\Http\Controllers\Api\WechatController;

//Route::any('/api/wechat',[WechatController::class, 'serve']);

Route::group([
    'prefix' => config('admin.route.prefix').'/wechat',
    'namespace' => 'Liuhelong\\LaravelAdmin\\Wechat\\Http\\Controllers',
    'middleware' => config('admin.route.middleware'),
], function () {

	Route::resource('wechat-o-materials', WechatOffiaccountMaterialController::class);
	Route::resource('wechat-o-message-functions', WechatOffiaccountMessageFunctionController::class);
	Route::resource('wechat-o-event-functions', WechatOffiaccountEventFunctionController::class);
	Route::resource('wechat-o-news', WechatOffiaccountNewController::class);
	Route::resource('wechat-o-users', WechatOffiaccountUserController::class);
	Route::resource('wechat-o-qrcodes', WechatOffiaccountQrcodeController::class);
	Route::resource('wechat-o-template-messages', WechatOffiaccountTemplateMessageController::class);
	Route::get('wechat-o-menus', 'WechatOffiaccountMenuController@index');
	Route::resource('wechat-o-menus', WechatOffiaccountMenuController::class);
	Route::resource('wechat-o-customer-serivces', WechatOffiaccountCustomerServiceController::class);
	Route::resource('wechat-o-event-logs', WechatOffiaccountEventLogController::class);
	Route::resource('wechat-o-broadcasts', WechatOffiaccountBroadcastController::class);
	Route::resource('wechat-o-cs-messages', WechatOffiaccountCsMessageController::class);
});